Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class PageLayout

    java.lang.Object
      writer2latex.office.OfficeStyle
          writer2latex.office.StyleWithProperties
              writer2latex.office.PageLayout

    public class PageLayout

extends StyleWithProperties

Class representing a page master in OOo Writer. This is represented like other styles + a separate style for header and footer

Field Summary
`private boolean` | `bHasFooterStyle`
`private boolean` | `bHasHeaderStyle`
`private PropertySet` | `footerStyle`
`private PropertySet` | `headerStyle`
`private java.lang.String` | `sPageUsage`

Fields inherited from class writer2latex.office.OfficeStyle
`bAutomatic, family, sName`

Constructor Summary
`PageLayout()`

Method Summary
`java.lang.String` | `getFooterProperty(java.lang.String sPropName)`
`java.lang.String` | `getHeaderProperty(java.lang.String sPropName)`
`java.lang.String` | `getPageUsage()`
`boolean` | `hasFooterStyle()`
`boolean` | `hasHeaderStyle()`
`void` | `loadStyleFromDOM(org.w3c.dom.Node node)`

Methods inherited from class writer2latex.office.StyleWithProperties
`getAbsoluteCellProperty, getAbsoluteColumnProperty, getAbsoluteGraphicProperty, getAbsoluteLength, getAbsoluteParProperty, getAbsoluteProperty, getAbsoluteProperty, getAbsoluteRowProperty, getAbsoluteSectionProperty, getAbsoluteTableProperty, getAbsoluteTextProperty, getBackgroundImageProperty, getCellProperty, getColCount, getColumnProperty, getFootnoteProperty, getGraphicProperty, getParProperty, getProperty, getProperty, getProperty, getRowProperty, getSectionProperty, getTableProperty, getTextProperty, hasFootnoteSep`

Methods inherited from class writer2latex.office.OfficeStyle
`getDisplayName, getFamily, getListStyleName, getMasterPageName, getName, getParentName, isAutomatic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sPageUsage

    private java.lang.String sPageUsage

### bHasHeaderStyle

    private boolean bHasHeaderStyle

### headerStyle

    private PropertySet headerStyle

### bHasFooterStyle

    private boolean bHasFooterStyle

### footerStyle

    private PropertySet footerStyle

Constructor Detail

### PageLayout

    public PageLayout()

Method Detail

### getPageUsage

    public java.lang.String getPageUsage()

### hasHeaderStyle

    public boolean hasHeaderStyle()

### getHeaderProperty

    public java.lang.String getHeaderProperty(java.lang.String sPropName)

### hasFooterStyle

    public boolean hasFooterStyle()

### getFooterProperty

    public java.lang.String getFooterProperty(java.lang.String sPropName)

### loadStyleFromDOM

    public void loadStyleFromDOM(org.w3c.dom.Node node)

  Overrides:
    `loadStyleFromDOM` in class `StyleWithProperties`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD